<?php

class m200107_155707_contratos_licencas_mobile extends CDbMigration
{
	public function up()
	{
		$table = Yii::app()->db->schema->getTable('contratos');
		if(!isset($table->columns['COT_USUARIOS_MOBILE'])) {
			$this->addColumn('contratos', 'COT_USUARIOS_MOBILE', 'INT(11) NULL DEFAULT 0');
		}
		if(!isset($table->columns['COT_CLI_LICENCAS_USO_MOBILE'])) {
			$this->addColumn('contratos', 'COT_CLI_LICENCAS_USO_MOBILE', 'INT(11) NULL DEFAULT 0');
		}
		$this->refreshTableSchema('contratos');
	}

	public function down()
	{
		$table = Yii::app()->db->schema->getTable('contratos');
		if(!isset($table->columns['COT_USUARIOS_MOBILE'])) {
			$this->dropColumn('contratos', 'COT_USUARIOS_MOBILE');
		}
		if(!isset($table->columns['COT_CLI_LICENCAS_USO_MOBILE'])) {
			$this->dropColumn('contratos', 'COT_CLI_LICENCAS_USO_MOBILE');
		}
		$this->refreshTableSchema('contratos');
	}
}